functions {
    real neg_p_log(real p) {
        if (p > 0.0) {
            return -p * log2(p);
        }
        else {
            return 0.0;
        }
    }
}
data {
    int freq_1[3];
    int freq_2[3];
}
transformed data {
	vector[3] alpha;
	alpha[1] = 1; alpha[2] = 1; alpha[3] = 1;
}
parameters {
    simplex[3] p1;
    simplex[3] p2;
}
model {
    p1 ~ dirichlet(alpha);
    p2 ~ dirichlet(alpha);
    freq_1 ~ multinomial(p1);
    freq_2 ~ multinomial(p2);
}
generated quantities {
    real entropy1;
    real entropy2;

    entropy1 = neg_p_log(p1[1]) + neg_p_log(p1[2]) + neg_p_log(p1[3]);
    entropy2 = neg_p_log(p2[1]) + neg_p_log(p2[2]) + neg_p_log(p2[3]);
}
